Subject: linux-image-2.6-486: Cannot boot on i486

From: Bas Wijnen <[email-masked]>
Date: Wed, 18 Feb 2009 17:51:15 +0100

Package: linux-image-2.6-486
Version: 2.6.26+17
Severity: Grave
Justification: Makes package unusable

Installing lenny on a 486 is not possible, because the installer kernel
cannot boot.  Upgrading from Etch will work, but only if the old kernel
continues to be used.

When trying to boot the kernel, it seems to panic immediately (I can't
really check, because my hercules monitor doesn't allow scrollback).  I
copied the crash message (by hand, so it may contain some typos, and I
left some numbers out; please ask if they are important, it's easy to
reproduce, if you have the hardware).  Below is the text that's on
screen after trying to boot.  I also included the output of
/proc/cpuinfo (when using Etch's 2.6.18 kernel).  The cache is switched
off to make sure that wasn't the problem; the result is identical if I
do switch it on.

Thanks,
Bas

Call Trace:
native_init_IRQ+0x46/0x79
apply_paravirt+0x81/0x91
do_IRQ+0x50/0x60
common_interrupt+0x23/0x30
vprintk+0x269/0x275
ktime_get+0xd/0x21
tick_nohz_stop_sched_tick+0x24f/0x259
do_IRQ+0x50/0x60
common_interrupt+0x23/0x30
alternative_instructions+0x23/0x3c
check_bugs+0xd2/0xd4
start_kernel+0x271/0x27e
=============
Code: 00 89 c2 fa 90 8d b4 26 00 00 00 00 90 89 c8 89 ef c1 e8 02 89 c1 f3 a5 89 d9 83 e1 03 74 02 f3 a4 89 d0 50 9d 90 8d b4 26 00 00 <00> 00 b8 01 00 00 00 0f a2 5a 89 e8 5b 5e 5f 5d c3 55 31 c9 57
EIP: [<c010797d>] text_poke_early+0x41/0x52 SS:ESP 0068:c0363eb0
---[ end trace 4eaa2a86a8e2da22 ]---
Kernel panic - not syncing: Attempted to kill the idle task!

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 4
model		: 8
model name	: 486 DX/4
stepping	: 0
cache size	: 0 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme
bogomips	: 49.40

-- 
I encourage people to send encrypted e-mail (see http://www.gnupg.org).
If you have problems reading my e-mail, use a better reader.
Please send the central message of e-mails as plain text
   in the message body, not as HTML and definitely not as MS Word.
Please do not use the MS Word format for attachments either.
For more information, see http://a82-93-13-222.adsl.xs4all.nl/e-mail.html